<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.Add Method
Cursor Class See Also

Stores the key/data pair in the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public void Add(
    	KeyValuePair<DatabaseEntry, DatabaseEntry> pair
    )

Visual Basic (Declaration)

    Public Sub Add ( _
    	pair As KeyValuePair(Of DatabaseEntry, DatabaseEntry) _
    )

Visual C++

    public:
    void Add(
    	KeyValuePair<DatabaseEntry^, DatabaseEntry^> pair
    )

#### Parameters

pair
  Type: System.Collections.Generic..::.KeyValuePair<(Of <(DatabaseEntry, DatabaseEntry>)>)
  The key/data pair to be stored in the database.

# Remarks

If the underlying database supports duplicate data items, and if the key already exists in the database and a duplicate sort function has been specified, the inserted data item is added in its sorted location. If the key already exists in the database and no duplicate sort function has been specified, the inserted data item is added as the first of the data items for that key.

# See Also

Cursor Class
BerkeleyDB Namespace